<?php

namespace GemBoards\Classes;

use GemBoards\Entities\Notification;
use WP_User;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

abstract class EmailNotification {

	protected string $subject;
	protected string $message;

	protected WP_User $user;
	protected Notification $notification;

	public function __construct( \GemBoards\Entities\Notification $notification, WP_User $user ) {
		$this->notification = $notification;
		$this->user         = $user;
		$this->setup();
	}

	abstract protected function setup();

	abstract public function send_mail();

}
